

//校验是否全由数字组成
function isDigit(s)
{
	var patrn=/^[0-9]+$/;
	if (!patrn.exec(s)){
		return false
	}
	return true
}

//校验是浮点数
function ivalidFloat(s)
{
	var patrn=/^(-?\d+)(\d*\.{0,1}\d{0,1}$)/;
	if (!patrn.exec(s)){
		return false
	}
	return true
}
//得到去除左右空格后的字符串
String.prototype.trim = function()
{
    return this.replace(/(^\s*)|(\s*$)/g,"");
}

//校验是否是非负浮点数
function validPositiveFloat(s){

	if("" === s){

		return false;
	}
	if(isNaN(s)||parseFloat(s)<0){
		return false;
	}else{
		return true;
	}
}


//取得字符串的字节数
String.prototype.getBytes = function() {

    var cArr = this.match(/[^\x00-\xff]/ig);
    return this.length + (cArr == null ? 0 : cArr.length);
}

//去除左右空格
function onTrim(obj){

	obj.value = obj.value.trim();
}


/*************************************** 上传文件验证start *************************************************/
//允许上传的文件类型 0为无限制 每个扩展名后边要加一个"," 小写字母表示 
var AllowExt = ".bmp,.jpg,.gif,.png,.avi,.3gp,.mp4,.wav";
UpLoadFileCheck=function()
{
  this.AllowImgFileSize=0;//允许上传文件的大小 0为无限制 单位：KB
  this.AllowImgWidth=0;//允许上传的图片的宽度 0为无限制　单位：px(像素)
  this.AllowImgHeight=0;//允许上传的图片的高度 0为无限制　单位：px(像素)
  this.ImgObj=new Image();
  this.ImgFileSize=0;
  this.ImgWidth=0;
  this.ImgHeight=0;
  this.FileExt="";
  this.ErrMsg="";
  this.IsImg=false;//全局变量

}

UpLoadFileCheck.prototype.CheckExt=function(obj)
{
 this.ErrMsg="";
 this.ImgObj.src=obj.value;
 //this.HasChecked=false;
 if(obj.value=="")
 {
  this.ErrMsg="\n请选择一个文件";
 }
 else
 {
  this.FileExt=obj.value.substr(obj.value.lastIndexOf(".")).toLowerCase();
  if(AllowExt!=0&&AllowExt.indexOf(this.FileExt)==-1)//判断文件类型是否允许上传
  {
   this.ErrMsg="\n该文件类型不允许上传。请上传 "+AllowExt+" 类型的文件，当前文件类型为"+this.FileExt;
  }
 }
 if(this.ErrMsg!="")
 {

  this.ShowMsg(this.ErrMsg,false);

	if (obj.outerHTML) {
	 obj.outerHTML = obj.outerHTML;
	} else { // FF(包括3.5)
	 obj.value = "";
	}
  return false;
 }
// else   
//  return this.CheckProperty(obj);    
}

UpLoadFileCheck.prototype.CheckProperty=function(obj)
{

 while(this.ImgObj.readyState!="complete")//
  {
   sleep(1000);//一秒使用图能完全加载
  }
  alert(this.IsImg);
 if(this.IsImg==true)
 {
  this.ImgWidth=this.ImgObj.width;//取得图片的宽度
  this.ImgHeight=this.ImgObj.height;//取得图片的高度
  if(this.AllowImgWidth!=0&&this.AllowImgWidth<this.ImgWidth)
  this.ErrMsg=this.ErrMsg+"\n图片宽度超过限制。请上传宽度小于"+this.AllowImgWidth+"px的文件，当前图片宽度为"+this.ImgWidth+"px";

  if(this.AllowImgHeight!=0&&this.AllowImgHeight<this.ImgHeight)
  this.ErrMsg=this.ErrMsg+"\n图片高度超过限制。请上传高度小于"+this.AllowImgHeight+"px的文件，当前图片高度为"+this.ImgHeight+"px";
 }

 this.ImgFileSize=Math.round(this.ImgObj.fileSize/1024*100)/100;//取得图片文件的大小
alert(this.ImgFileSize);
 if(this.AllowImgFileSize!=0&&this.AllowImgFileSize<this.ImgFileSize)
  this.ErrMsg=this.ErrMsg+"\n文件大小超过限制。请上传小于"+this.AllowImgFileSize+"KB的文件，当前文件大小为"+this.ImgFileSize+"KB";

 if(this.ErrMsg!="")
 {
  this.ShowMsg(this.ErrMsg,false);
  return false;
 }
 else
  return true;
}

UpLoadFileCheck.prototype.ShowMsg=function(msg,tf)//显示提示信息 tf=false 显示错误信息 msg-信息内容
{
 /*msg=msg.replace("\n","<li>");
 msg=msg.replace(/\n/gi,"<li>");
  */
 alert(msg);
}
function   sleep(num)
  {
   var   tempDate=new   Date();
   var   tempStr="";
   var   theXmlHttp   =   new   ActiveXObject(   "Microsoft.XMLHTTP"   );
   while((new   Date()-tempDate)<num   )
   {
   tempStr+="\n"+(new   Date()-tempDate);
   try{
   theXmlHttp   .open(   "get",   "about:blank?JK="+Math.random(),   false   );
   theXmlHttp   .send();
   }
   catch(e){;}
   }
  //containerDiv.innerText=tempStr;
  return;
  }
function c(obj)
{
 var d=new UpLoadFileCheck();
 d.IsImg=true;
 d.AllowImgFileSize=20;
 d.CheckExt(obj)
}
/*************************************** 上传文件验证end *************************************************/

/*************************************** 多文件上传start *************************************************/
//设置上传文件数量
var fileCount=6;
function addUploadFile()
{
 var oTable = document.getElementById("files");
 var oTBody = oTable.tBodies[0];
 var oRows = oTBody.rows;
 if(oRows.length >= (typeof(fileCount)=="undefined" ? 3:fileCount)) return;
 var newFileName = "file"+(oRows.length+1);
 var newTr = document.createElement("TR");
 var newTd1 = document.createElement("TD");
 var newTd2 = document.createElement("TD");
 //设置属性
 newTd1.onclick=function(){deleCurrent(newFileName);};
 newTd1.className = "TdStyle";
 //设置内容
 newTd1.innerHTML = "-";
 newTd2.innerHTML="<input type='file' name='uploadFile' onChange='c(this)' />";

 newTr.appendChild(newTd1);
 newTr.appendChild(newTd2);
 newTr.setAttribute("id",newFileName);
 oTBody.appendChild(newTr);
}

function deleCurrent(fileName)
{
 var oTable = document.getElementById("files");
 var oTBody = oTable.tBodies[0];
 for(var i=0; i<oTBody.rows.length; i++)
 {
  var TrId = oTBody.rows[i].getAttribute("id")
  if(TrId == fileName)
  {
   oTBody.deleteRow(i);
   break;
  }
 }
}
/*************************************** 多文件上传end *************************************************/

/**
 * 页面跳转：兼容IE6用
 * @param {Object} url
 */
function gotoURL(url){

	setTimeout(function(){location.href = url;},1);
}

//验证是否是汉字、英文字母、数字、下划线    $$$漏洞处理
function isCHCharNumUnderLine(s)
{
	var patrn=/^[a-zA-Z0-9_\u4e00-\u9fa5]+$/;
	if (!patrn.exec(s)){
		return false
	}
	return true
}
//验证是否是字母数字汉字
function isCHCharNum(s){

	var patrn = /^[A-Za-z0-9\u4e00-\u9fa5]+$/;
	if (!patrn.exec(s)){
		return false;
	}
	return true;
}
//验证是否英文字母、数字、下划线    $$$漏洞处理
function isCharNumUnderLine(s)
{
	var patrn=/^[a-zA-Z0-9_]+$/;
	if (!patrn.exec(s)){
		return false
	}
	return true
}
//应至少包括数字、大写字母、小写字母、特殊字符中的三种字符（非中文）
 function isValuse(s) {
	 if (s == null || s.length < 8) {
	    	return false;
	 }
    var patrn = /^(?![a-zA-Z]+$)(?![A-Z0-9]+$)(?![A-Z\\W_!@#$%^&*`~,.()-+=]+$)(?![a-z0-9]+$)(?![a-z\\W_!@#$%^&*`~,.()-+=]+$)(?![0-9\\W_!@#$%^&*`~,.()-+=]+$)[a-zA-Z0-9\\W_!@#$%^&*`~,.()-+=]{8,30}$/
    	if (!patrn.exec(s)){
    		return false;
    	}
    	return true;
}
function checkURL(URL){
	var str=URL;
	//下面的代码中应用了转义字符"\"输出一个字符"/"
	var Expression=/http(s)?:\/\/([\w-]+\.)+[\w-]+(\/[\w- .\/?%&=]*)?/;
	var objExp=new RegExp(Expression);
	if(objExp.test(str)==true){
	   return true;
	}else{
	   return false;
	}
}

//密码必须包含数字和字母
function checkPWD(password) {
    var str = password;
    if (str == null || str.length < 6 || str.length > 20) {
    	return false;
    }
    var reg = new RegExp(/^(?![^a-zA-Z]+$)(?!\D+$)/);
    if (reg.test(str))
	return true;
}

//验证手机号
function checkPhone(phone){
	if(!(/^1[3456789]\d{9}$/.test(phone))){
        return false;
    }
	return true;
}
//验证手机号或座机号
function checkTel(tel){
   var mobile = /^1[3456789]\d{9}$/ ;
   var phone = /^0\d{2,3}-?\d{7,8}$/;
   return mobile.test(tel) || phone.test(tel);
}
function isNotNull(ele){
	  if(typeof ele==='undefined'){//先判断类型
	    return false;
	  }else if(ele==null){
	    return false;
	  }else if(ele==''){
	    return false;
	  }
	  return true;
	}
